// MsMatrix.h

#ifndef _MsMatrix_H_
#define _MsMatrix_H_

void MsMatrix_InverseRotateVect(float * mat, float *pVect );
void MsMatrix_InverseTranslateVect(float * mat, float *pVect );
void MsMatrix_LoadIdentity(float * mat);
void MsMatrix_PostMultiply(float * mat, const float * MsMatrix );
void MsMatrix_RotateVect(float * mat, float *pVect );
void MsMatrix_Set(float * mat, const float * pMsMatrix );
void MsMatrix_SetInverseRotationDegrees(float * mat, const float *angles );
void MsMatrix_SetInverseTranslation(float * mat, const float *translation );
void MsMatrix_SetRotationDegrees(float * mat, const float *angles );
void MsMatrix_SetRotationRadians(float * mat, const float *angles );
void MsMatrix_SetTranslation(float * mat, const float *translation );
void MsMatrix_TranslateVect(float * mat, float *pVect );
void MsMatrix_setInverseRotationRadians(float * mat, float *angles );

#endif // _MsMatrix_H_

