// MsVector.h

#ifndef _VECTOR_H_
#define _VECTOR_H_

float MsVector_Length(float * this);
float MsVector_LengthSq(float * this);
void  MsVector_Add(float * this, const float * vector );
void  MsVector_Lerp(float * this, const float * vector, float s);
void  MsVector_Max(float * this, const float * vector);
void  MsVector_Min(float * this, const float * vector);
void  MsVector_Normalize(float * this);
void  MsVector_Reset(float * this);
void  MsVector_Set(float * this, const float * values );
void  MsVector_Sub(float * this, const float * vector );
void  MsVector_Transform(float * this, const float * mat );
void  MsVector_Transform3(float * this, const float * mat );
void  MsVector_MsVector(float * this, const float *values );

#endif // _VECTOR_H_

