/*
 * 	---------------- MoJo engine --------------
 *   		---- Basic Game Engine ----
 *
 * Author: Yann PARMENTIER <kohai@kohaistyle.com>
 *
 * ALL RIGHTS RESERVED
 *
 *	Uses
 * 			DMFloader  		( www.delgine.com )
 * 			GLFW 				( glfw.sourceforge.net )
 *			Fmod Sound API 		( www.fmod.org )
 *
 * To compile this project you must include the following libraries:
 * wlib.lib uuid.lib fmodlcc.lib glfw.lib glu32.lib ole32.lib olepro32.lib opengl32.lib
 * You need also the header file glfw.h in your GL/ compiler directory.
 *
 * File header: mojoSound.h
 *
 */





//#include <GL/gl.h>



GLuint	base;				// Base Display List For The Font
GLuint	loop;				// Generic Loop Variable






extern GLvoid mojoFontInit(GLint texture);								// Build Our Font Display List
extern GLvoid mojoFontKill(GLint texture);								// Delete The Font From Memory
extern GLvoid mojoGlPrint(GLint x, GLint y, char *string, int set, float scale);// Where The Printing Happens
extern GLvoid mojoGlPrintCenter(float screenwidth, GLint y, char *string, int set, float scale);
extern GLvoid mojoGlPrintLoading(float screenwidth, GLint y, char *string, int font, int set, float scale);
