

struct mojoGuiEl						// Create A Structure For Particle
{
	int			active;					// Active (Yes/No)
	int			visible;
	int			type;					// gui element type
	float		alpha;					// alpha value
	float		posx;						// Red Value
	float		posy;						// Green Value
	float		sizex;						// Blue Value
	float		sizey;						// X Position
	int			state;						// Y Position
	int			id;						// Z Position
	int			textureId;
	struct mojoGuiEl*	next;			// this panel child list
};


struct mojoGuiEvent
{
	int			elementId;
	int			state;
};


enum mojoGuiType{
	mojoPanel,
	mojoButton
};


enum mojoGuiEventState{
	mojoIdle,
	mojoHover,
	mojoClicked
};



struct mojoGuiEl	*mojoGuiAddButton( struct mojoGuiEl *guiElement);

int 				mojoGuiFree( struct mojoGuiEl *guiElement);

struct mojoGuiEvent	*mojoGuiUpdate( struct mojoGuiEl *guiElement, float mousex, float mousey, int click);

void				mojoGuiSetScreen( float width, float height );

int					mojoGuiRender( struct mojoGuiEl *guiElement);


