/*
 * 	---------------- MoJo engine --------------
 *   		---- Basic Game Engine ----
 *
 * Author: Yann PARMENTIER <kohai@kohaistyle.com>
 *
 * ALL RIGHTS RESERVED
 *
 *	Uses
 * 			DMFloader  		( www.delgine.com )
 * 			GLFW 				( glfw.sourceforge.net )
 *			Fmod Sound API 		( www.fmod.org )
 *
 * To compile this project you must include the following libraries:
 * wlib.lib uuid.lib fmodlcc.lib glfw.lib glu32.lib ole32.lib olepro32.lib opengl32.lib
 * You need also the header file glfw.h in your GL/ compiler directory.
 *
 * File header: mojoLog.c
 *
 */

// log.cpp;

#include <stdlib.h>
#include <stdio.h>
//#include "system.h"        // SysShutdown();
#include "mojolog.h"

#define true 1
#define false 0

int mojoLogCreated = 0;

void mojolog (char *message)
{
	FILE *file;

	if (!mojoLogCreated) {
		file = fopen(LOGFILE, "w");
		mojoLogCreated = true;
	}
	else
		file = fopen(LOGFILE, "a");

	if (file == NULL) {
		if (mojoLogCreated)
			mojoLogCreated = false;
		return;
	}
	else
	{
		fputs(message, file);
		fclose(file);
	}

	if (file)
		fclose(file);
}

void mojologErr (char *message)
{
	mojolog(message);
	mojolog("\n");
	exit(-1);
	//SysShutdown();
}
