
#include <stdio.h>
#include <stdlib.h>
#include <math.h>


typedef struct m_particles
{
	float 	posx, posy, posz;   // positions
	float 	velx, vely, velz;   // velocit
	float 	gravity;			  // gravit
	float 	r, g, b, a; // couleurs
	int		type;
	float	size;
}mojoParticles;


// Initialisation du "systeme" de particules
void Prepare_Billboarding( void );

void Init_Particles(struct m_particles *p);

// Generation des particules
void Generate_Particles(struct m_particles *p,
						float x, float y, float z,
						float r, float g, float b, float a);
// Rendu des particules
void QuadBillboarded(float Size, float x, float y, float z);

void Draw_Particles(struct m_particles *p);

// Rendu de l'emetteur des particules
void DrawParticles_Emitter(float size, float x, float y, float z);

